---
title: 🤝 Get your PR ready
sidebar_position: 6
---

We have PR template in place which you must fill in to get your PR ready.

## Add reviewers

Always add `boyka-core` team as a reviewer to your PR.

## Assign yourself

You must assign the PR to yourself.

## Update Description

Mention the ticket number in the description in place of `[ticket no]` placeholder.

Also select the checkboxes in the description section according to the type of changes you are making.

## PR Checks

Make sure that the PR checks are passing, incase the checks are failing, please make sure to fix those first.

## SonarCloud Quality Gate

Make sure that the SonarCloud Quality Gate is passing, incase the checks are failing, please make sure to fix those first. Mostly it fails if the code coverage is less than 80%.

## Reviewers feedback

Make sure to address the reviewers feedbacks.

## Demo PR

Once you have updated reviewers feedback in your PR. You need to demonstrate your feature development to the Maintainers and Repo owners by showing your worknig code along with the tests.

This Demo would be taking place on [Discord][join-discord]:
1. Send a message on `#contributor-discussion` channel and schedule a time accordingly to demo your work. 
2. Once your demo is scheduled, you would be given temporary access to `#open-office` channel on Discord which you can use for demonstrating your work.

## Merge PR

If everything is fine, wait for `boyka-core` team to merge your PR. Most of the time, we will merge your PR as soon as we approve it. It's very rare that we won't merge your PR immediately after approving it.

:::danger
Don't merge approved PR yourself. Instead, tag the `boyka-core` team to the PR comments.
:::

[join-discord]: https://discord.gg/dUg8K9DAsR